# Welcome

## What is Tellor?

Tellor is a decentralized oracle protocol that incentivizes an open, permissionless network of data reporting and data validation, ensuring that data can be provided by anyone and checked by everyone.&#x20;

Built for any [data type](https://tellor.io/blog/how-to-query-custom-data-with-tellor/), our network of [reporters](/tellor-docs-v2/reporting-data/telliot.md) supports basic spot prices, more sophisticated pricing specs (TWAP/VWAP), Snapshot vote results, or any custom data needs you have.  If your data can be verified, Tellor can [bring it on-chain](https://feeds.tellor.io). &#x20;

{% hint style="info" %}

#### Before you get started

* [Learn Tellor's Fundamental Concepts](/tellor-docs-v2/the-basics/fundamentals.md)
* [Read the FAQ](/tellor-docs-v2/the-basics/fundamentals.md#faq)
* [Read the Whitepaper](https://tellor.io/whitepaper/)
* [Review the Contracts](/tellor-docs-v2/the-basics/contracts-overview.md)
  {% endhint %}

## Get started

What are you looking to do?

{% tabs %}
{% tab title="I want a price feed" %}

1. [Get a QueryID](https://queryidbuilder.herokuapp.com/)
2. [Check if Telliot can currently report it.](https://github.com/tellor-io/telliot-feeds/tree/main/src/telliot_feed_examples/feeds)
   * yes? Go to Step 3.
   * no? [Request a new spotPrice asset](https://github.com/tellor-io/dataSpecs/issues/24)
3. [Getting Data](/tellor-docs-v2/getting-data/introduction.md)&#x20;
   {% endtab %}

{% tab title="I want custom data" %}
Tellor is built to bring practically any data on chain&#x20;

* [More information on how to add new data types](/tellor-docs-v2/getting-data/creating-a-query.md#creating-a-new-query-type)
  {% endtab %}

{% tab title="I want to report data" %}

#### Learn more about becoming a reporter

* [Reporter Documentation](/tellor-docs-v2/reporting-data/telliot.md)
  {% endtab %}

{% tab title="I'm just testing" %}
[The Tellor Playground ](/tellor-docs-v2/getting-data/using-tellor/tellor-playground.md)is a simplified Tellor (and not a real oracle) that aims to help anyone building to quickly test and implement ideas.&#x20;
{% endtab %}
{% endtabs %}

### Quicklinks

#### Developer tools

[Tellor Github ](https://github.com/tellor-io)

[Data Specs](https://github.com/tellor-io/dataSpecs)

[Live Feeds](https://feed.tellor.io/)

[QueryID Builder](https://queryidbuilder.herokuapp.com/)

#### Educational&#x20;

[Dev Calls](https://www.youtube.com/playlist?list=PLuJHbmh0kCXXA6XrTM6dgYgz-RXiFNmRF)

[Reporter Calls](https://www.youtube.com/playlist?list=PLuJHbmh0kCXX1L2V5Bn3Qe-zlMmg5L4yG)

[Tellor School ](https://www.youtube.com/playlist?list=PLuJHbmh0kCXVPHDA2Q3J3TfatBRGrOsm-)

[Weekly Updates](https://www.youtube.com/playlist?list=PLuJHbmh0kCXWRe-QPxaqcThzmj743ercz)

### Get Help&#x20;

[Ask us anything](https://discord.com/channels/461602746336935936/794270931630948432)

#### Looking to use Tellor?&#x20;

[Tell us what you're building and we'll get in touch](https://docs.google.com/forms/d/e/1FAIpQLSc5YEerq5y5_YBiQg7ZwDVw76o_1KmRmqXvzjeZlfshNKTvaQ/viewform)&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tellor.io/tellor-docs-v2/the-basics/welcome.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
